> ## Documentation Index
> Fetch the complete documentation index at: https://apidoc.ovrsea.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Fetch all documents

> Fetch all your documents, or all documents associated to one of your shipments.



## OpenAPI

````yaml /openapi.json get /v1/documents
openapi: 3.1.0
info:
  title: OVRSEA API
  version: 1.3.2
servers:
  - url: https://api.cf.ovrsea.com
security: []
paths:
  /v1/documents:
    get:
      tags:
        - Documents
      summary: Fetch all documents
      description: >-
        Fetch all your documents, or all documents associated to one of your
        shipments.
      parameters:
        - schema:
            type: string
          in: query
          name: ovrsea_shipment_id
          required: false
        - schema:
            default: 0
            type: integer
          in: query
          name: skip
          required: false
        - schema:
            default: 10
            maximum: 100
            type: integer
          in: query
          name: take
          required: false
      responses:
        '200':
          description: Returns all documents.
          content:
            application/json:
              schema:
                description: Returns all documents.
                items:
                  $ref: '#/components/schemas/Document'
                type: array
        '404':
          description: No document found
          content:
            application/json:
              schema:
                description: No document found
                type: object
components:
  schemas:
    Document:
      type: object
      modelName: Document
      properties:
        id:
          type: string
          example: '12345'
        name:
          type: string
          example: packing-list-export.pdf
        type:
          type: string
          enum:
            - null
            - packing_list
            - commercial_invoice
            - master_bill_of_lading
            - house_bill_of_lading
            - master_airway_bill
            - house_airway_bill
            - proof_of_delivery
            - dangerous_goods_declaration
            - material_safety_data_sheet
            - exa
            - cmr
            - ima
            - power_of_attorney_customs_declaration
            - power_of_attorney_eur1
            - eur1
            - entry_summary
            - t1
            - cargo_manifest
            - cargo_screening
            - lithium_certificate
            - carta_de_plastico
            - levante
            - ddi
            - dde
            - pickup_form
        ovrsea_shipment_id:
          type: string
          example: CDEF
        link:
          type: string
          example: https://client.ovrsea.com/documents/packing-list-export.pdf/download
        size:
          type: integer
          example: 20000
        uploaded_at:
          $ref: '#/components/schemas/SimpleDate'
    SimpleDate:
      modelName: SimpleDate
      type: string
      example: '2021-10-11'

````